'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.kRedisKeys = exports.redis = exports.constants = exports.middleware = exports.UserInfo = exports.fetchDataFromRpc = exports.createSignature = exports.checkSignature = exports.Errors = exports.redisClient = exports.base64_encode = exports.base64_decode = undefined;

var _signature = require('./signature');

Object.defineProperty(exports, 'checkSignature', {
  enumerable: true,
  get: function get() {
    return _signature.checkSignature;
  }
});
Object.defineProperty(exports, 'createSignature', {
  enumerable: true,
  get: function get() {
    return _signature.createSignature;
  }
});

var _base64_decode2 = require('./base64_decode');

var _base64_decode3 = _interopRequireDefault(_base64_decode2);

var _base64_encode2 = require('./base64_encode');

var _base64_encode3 = _interopRequireDefault(_base64_encode2);

var _client = require('./redis/client');

var _client2 = _interopRequireDefault(_client);

var _Index = require('./Errors/Index');

var _Errors = _interopRequireWildcard(_Index);

var _fetchDataFromRpc2 = require('./rpc/fetchDataFromRpc');

var _fetchDataFromRpc3 = _interopRequireDefault(_fetchDataFromRpc2);

var _UserInfo2 = require('./models/UserInfo');

var _UserInfo = _interopRequireWildcard(_UserInfo2);

var _index = require('./middleware/index');

var _middleware = _interopRequireWildcard(_index);

var _constants2 = require('./constants');

var _constants = _interopRequireWildcard(_constants2);

var _kRedisKeys2 = require('./redis/kRedisKeys');

var _kRedisKeys = _interopRequireWildcard(_kRedisKeys2);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var debug = require('debug')('ibe-utils:' + __filename.split('/').slice(-3).join('/'));
var version = require('../package.json').version;
console.log('ibe-utils:version:', version);
exports.base64_decode = _base64_decode3.default;
exports.base64_encode = _base64_encode3.default;
exports.redisClient = _client2.default;
exports.Errors = _Errors;
exports.fetchDataFromRpc = _fetchDataFromRpc3.default;
exports.UserInfo = _UserInfo;
exports.middleware = _middleware;
exports.constants = _constants;
exports.redis = _client2.default;
var redisClient = exports.redisClient = _client.client;
exports.kRedisKeys = _kRedisKeys;


debug('process.env.IBE_SYSTEM:', process.env.IBE_SYSTEM);