'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.client = undefined;

var _redis = require('redis');

var _redis2 = _interopRequireDefault(_redis);

var _config = require('../config');

var _config2 = _interopRequireDefault(_config);

var _promise = require('./promise');

var _promise2 = _interopRequireDefault(_promise);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var debug = require('debug')('iBetterMe:server:redis');
var client = exports.client = _redis2.default.createClient(_config2.default.app.REDIS_URL);
client.on('error', function (error) {
  console.error('redis client error:', error);
});
exports.default = (0, _promise2.default)(client);