'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LarkImageThemeIsNotExistForDateTimeError = exports.CheckInNotStartLarkError = exports.CheckInHasEndedLarkError = exports.CheckedTodayIsExistLarkError = undefined;

var _ErrorCodes = require('./ErrorCodes');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var CheckedTodayIsExistLarkError = exports.CheckedTodayIsExistLarkError = function (_Error) {
  _inherits(CheckedTodayIsExistLarkError, _Error);

  function CheckedTodayIsExistLarkError() {
    var message = arguments.length <= 0 || arguments[0] === undefined ? '今日已经打卡' : arguments[0];

    _classCallCheck(this, CheckedTodayIsExistLarkError);

    var _this = _possibleConstructorReturn(this, Object.getPrototypeOf(CheckedTodayIsExistLarkError).call(this, message));

    _this.code = _ErrorCodes.kLarkCheckedTodayIsExistErrorCode;
    return _this;
  }

  return CheckedTodayIsExistLarkError;
}(Error);

var CheckInHasEndedLarkError = exports.CheckInHasEndedLarkError = function (_Error2) {
  _inherits(CheckInHasEndedLarkError, _Error2);

  function CheckInHasEndedLarkError() {
    var message = arguments.length <= 0 || arguments[0] === undefined ? '打卡已结束，明天赶早啦～' : arguments[0];

    _classCallCheck(this, CheckInHasEndedLarkError);

    var _this2 = _possibleConstructorReturn(this, Object.getPrototypeOf(CheckInHasEndedLarkError).call(this, message));

    _this2.code = _ErrorCodes.kLarkCheckInHasEndedLarkErrorCode;
    return _this2;
  }

  return CheckInHasEndedLarkError;
}(Error);

var CheckInNotStartLarkError = exports.CheckInNotStartLarkError = function (_Error3) {
  _inherits(CheckInNotStartLarkError, _Error3);

  function CheckInNotStartLarkError() {
    var message = arguments.length <= 0 || arguments[0] === undefined ? '不要调皮，你是还没睡呢，还是真起这么早？' : arguments[0];

    _classCallCheck(this, CheckInNotStartLarkError);

    var _this3 = _possibleConstructorReturn(this, Object.getPrototypeOf(CheckInNotStartLarkError).call(this, message));

    _this3.code = _ErrorCodes.kLarkCheckInNotStartLarkErrorCode;
    return _this3;
  }

  return CheckInNotStartLarkError;
}(Error);

var LarkImageThemeIsNotExistForDateTimeError = exports.LarkImageThemeIsNotExistForDateTimeError = function (_Error4) {
  _inherits(LarkImageThemeIsNotExistForDateTimeError, _Error4);

  function LarkImageThemeIsNotExistForDateTimeError() {
    var message = arguments.length <= 0 || arguments[0] === undefined ? '指定时间的主题不存在' : arguments[0];

    _classCallCheck(this, LarkImageThemeIsNotExistForDateTimeError);

    var _this4 = _possibleConstructorReturn(this, Object.getPrototypeOf(LarkImageThemeIsNotExistForDateTimeError).call(this, message));

    _this4.code = _ErrorCodes.kLarkImageThemeIsNotExistForDateTimeErrorCode;
    return _this4;
  }

  return LarkImageThemeIsNotExistForDateTimeError;
}(Error);