'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CantFindUserError = undefined;

var _ErrorCodes = require('./ErrorCodes');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var CantFindUserError = exports.CantFindUserError = function (_Error) {
  _inherits(CantFindUserError, _Error);

  function CantFindUserError() {
    var message = arguments.length <= 0 || arguments[0] === undefined ? '找不到指定用户' : arguments[0];

    _classCallCheck(this, CantFindUserError);

    var _this = _possibleConstructorReturn(this, Object.getPrototypeOf(CantFindUserError).call(this, message));

    _this.code = _ErrorCodes.kCantFindUserErrorCode;
    return _this;
  }

  return CantFindUserError;
}(Error);