'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * SystemConfig
 * weixin weibo 等配置
 * @type {string}
 */
var kRedisKeySystemConfig = exports.kRedisKeySystemConfig = 'system:config';

var kFnRedisKeyUserInfoWithUserId = exports.kFnRedisKeyUserInfoWithUserId = function kFnRedisKeyUserInfoWithUserId(userId) {
  return 'userInfo:' + userId;
};

/**
 * 签名token
 * @type {string}
 */
var kRedisKeySignatureToken = exports.kRedisKeySignatureToken = 'signature:token';

/**
 * 所有喜欢投票的 SortedSet
 */
var kRedisKeyVoteLikeCountSortedSet = exports.kRedisKeyVoteLikeCountSortedSet = 'vote:count:like';

/**
 * 单个文章的 comment 的 SortedSet
 */
var kFnRedisKeyCommentVoteSortedSetWithIdentifier = exports.kFnRedisKeyCommentVoteSortedSetWithIdentifier = function kFnRedisKeyCommentVoteSortedSetWithIdentifier(identifier) {
  return 'vote:count:comment:' + identifier;
};